<?php

class apiCall {

	private $_name, $_get, $_post, $_execResult, $_execResultString;

	function __construct ($get = null, $post = null, $files = null) {
		$this->_name = 'ApiUserGetState';
		$this->_get = $get;
		$this->_post = $post;
		$this->_execResult = true;
		$this->_execResultString = 'success';
	}

	function execute () {

		$apiUsers = file_get_contents('/usr/conf/apiusers.conf');

		if (strstr($apiUsers, '# provisioning:')) {		// disabled
			$this->_execResultString .= ':disabled';
		} else if (strstr($apiUsers, 'provisioning:')) {	// enabled
			$this->_execResultString .= ':enabled';
		} else {						// not configured
			$this->_execResultString .= ':not_configured';
		}

		return($this->_execResult);
	}

	function display () {
		return($this->_name . ':' . $this->_execResultString);
	}
}

?>
